package othello.model;

import java.util.* ;

/**
 * <p>Title: GameModel</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Memorial University</p>
 * @author Theodore S. Norvell
 * @version 1.0
 */
public class GameModel extends Observable
implements GameModelInterface {

    private int [][] square = new int[ROWS][COLS] ;
    {
        for( int r=0 ; r<ROWS ; ++r ) {
            for( int c=0 ; c<COLS ; ++c ) {
                square[r][c] = EMPTY ; } }
    }
    
    public void layPiece( int row, int col, int bw) {
    	square[row][col] = bw ;
    	setChanged() ; notifyObservers( new Pair(row,col) ) ; }
        
    public void flipPiece( int row, int col ) {
    	if( square[row][col] == BLACK ) square[row][col] = WHITE ;
		else                            square[row][col] = BLACK ;
    	setChanged() ; notifyObservers( new Pair(row,col) ); }
        
    public int getPieceAt( int row, int col ) {
    	return square[row][col] ; }
}
